/*
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.ui;

import com.google.inject.Injector;
import org.eclipse.core.runtime.Platform;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import tdt4250.ra.xtext1.ui.internal.Xtext1Activator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class Rax1ExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Platform.getBundle(Xtext1Activator.PLUGIN_ID);
	}
	
	@Override
	protected Injector getInjector() {
		Xtext1Activator activator = Xtext1Activator.getInstance();
		return activator != null ? activator.getInjector(Xtext1Activator.TDT4250_RA_RAX1) : null;
	}

}
